MDaemon < 8.1.4 Remote Overflow

High Nessus Network Monitor Plugin ID 3634

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running Alt-N MDaemon, an SMTP/IMAP server for Windows. According to its banner, the version of MDaemon on the remote host is prone to a remote buffer overflow. Versions of Alt-N prior to 8.1.4 are vulnerable. The attacker exploiting this flaw would send a malformed request before the authentication process. Successful exploitation would allow the attacker to execute arbitrary code.

Solution

Upgrade to version 8.1.4 or higher.

See Also

http://files.altn.com/MDaemon/Release/RelNotes_en.txt

Plugin Details

Severity: High

ID: 3634

File Name: 3634.prm

Family: Web Servers

Published: 2006/05/29

Modified: 2016/02/05

Dependencies: 1442

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:U/RC:ND

CVSSv3

Base Score: 7.3

Temporal Score: 6.9

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:P/RL:U/RC:X

Reference Information

CVE: CVE-2006-2646

BID: 18129

OSVDB: 44995